package com.sky.ioc.controller.information;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.domain.information.FloorConfiguration;
import com.sky.ioc.entity.domain.information.StaffConfiguration;
import com.sky.ioc.enums.InformationTypeEnums;
import com.sky.ioc.service.information.FloorConfigurationService;
import com.sky.ioc.service.information.StaffConfigurationService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "信息管理")
@Slf4j
@RestController
@RequestMapping("/information")
public class InformationController {

    @Autowired
    FloorConfigurationService floorConfigurationService;

    @Autowired
    StaffConfigurationService staffConfigurationService;


    @ApiOperation("获取楼层地图信息配置")
    @GetMapping(value = "/information_list")
    public ReturnMsg getById() {
        List<String> types = InformationTypeEnums.getValues();
        JSONObject json = new JSONObject();
        for(String type:types){
            if(type.equals("楼层地图信息配置")){
                List<FloorConfiguration> lists = floorConfigurationService.getList();
                json.put(type,lists);
            }
            if (type.equals("安保人员信息配置")){
               List<StaffConfiguration> lists = staffConfigurationService.getList();
                json.put(type,lists);
            }
        }
      return ReturnMsg.ok(json);
    }
}
