package com.sky.ioc.controller.information;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.domain.information.FloorConfiguration;
import com.sky.ioc.entity.domain.information.Person;
import com.sky.ioc.entity.domain.information.StaffConfiguration;
import com.sky.ioc.enums.InformationTypeEnums;
import com.sky.ioc.service.information.PersonService;
import com.sky.ioc.service.information.SecurityPersonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "信息管理--人员")
@Slf4j
@RestController
@RequestMapping("/information")
public class SecurityPersonController {

    @Autowired
    SecurityPersonService securityPersonService;

    @ApiOperation("获取人员名单")
    @GetMapping(value = "/security_person")
    public ReturnMsg getListByType(Integer type) {
        return securityPersonService.getListByType(type);
    }
}
