package com.sky.ioc.controller.monitor;

import com.sky.ioc.service.monitor.MonitorService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "系统监控")
@Slf4j
@RestController
@RequestMapping("/system_monitoring")
public class MonitorController {

    @Autowired
    private MonitorService monitorService;

    @ApiOperation("获取定时任务列表")
    @GetMapping("/job_list")
    public ReturnMsg getJobList(@RequestParam(required = false) String name, @RequestParam(required = false) String group,
                                @RequestParam(required = false) String status,
                                @RequestParam String page, @RequestParam String page_size) {
        return monitorService.getJobList(name, group, status, page, page_size);
    }
}
